/* Custom properties */
:root {
    --primario: #1073ba;
    --secundario: #091f2d;
    --gris: #3b3b3b;
    --blanco: #fff;
    --negro: #1f1e1e;
    --grisClaro: #e1e1e1;

    --separacion: 5rem;

    --fuentePrincipal: "Roboto", sans-serif;
    --fuenteSecundaria: "Lato", sans-serif;
}

html {
    box-sizing: border-box;
    font-size: 62.5%;
}

*,
*:before,
*:after {
    box-sizing: inherit;
}

body {
    font-family: var(--fuentePrincipal);
    font-size: 1.6rem;
    line-height: 1.5;
}

/** Globales **/
.contenedor {
    max-width: 120rem;
    width: 90%;
    margin: 0 auto;
}

h1,
h2,
h3 {
    font-weight: 900;
    font-family: var(--fuenteSecundaria);
    margin: calc(var(--separacion) / 2) 0;
}

h1 {
    font-size: 4.4rem;
}

h2 {
    font-size: 3.6rem;
}

h3 {
    font-size: 2.8rem;
}

img {
    max-width: 100%;
    display: block;
    height: auto;
}

/* Utilidades */
.text-center {
    text-align: center;
}

/*  Degradado   */

.degradado-azul {
    background: linear-gradient(to right, var(--secundario) 0%, var(--primario) 100%);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.header {
    background-color: var(--blanco);
    padding: calc(var(--separacion) * 3) 0;
}

@media (min-width: 768px) {
    .contenido-header {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }
}

.texto-header {
    text-align: center;
    padding-top: var(--seperacion);
}

@media (min-width: 768px) {
    .texto-header {
        text-align: left;
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding: 0;
    }
}

.texto-header p {
    margin: 0;
}

.tagline-agencia {
    font-size: 2rem;
    font-weight: 900;
}

.nombre-agencia {
    font-size: 5rem;
    margin: 0;
}

@media (min-width: 768px) {
    .nombre-agencia {
        font-size: 7rem;
    }
}

/*  caracteristicas  consultoria*/

.caracteristicas {
    background-color: var(--secundario);
}

.iconos {
    padding: var(--separacion) 0;
    color: var(--blanco);
}

@media (min-width: 768px) {
    .iconos {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        gap: 2rem;
    }
}

.icono {
    text-align: center;
    margin-bottom: calc(var(--separacion) / 2);
}

.icono:last-of-type {
    margin: 0;
}

@media (min-width: 768px) {
    .icono {
        margin: 0;
    }
}

.icono img {
    width: 5rem;
    margin: 0 auto;
}

.icono h3 {
    color: var(--primario);
    text-transform: uppercase;
}

/*  Servicio Dedicado   */
.srv-ddc {
    padding: calc(var(--separacion) /2) 0;
}

.servicio {
    background-position: right top;
    background-repeat: repeat, no-repeat;
    background-size: 100%, 120rem;
}

.notavif.notwebp .servicio-dedicado {
    background-image: linear-gradient(to bottom, transparent 50%, var(--primario) 0%),
        url(../img/camiones_1.jpg);
}

.avif .servicio-dedicado {
    background-image: linear-gradient(to bottom, transparent 50%, var(--primario) 0%),
        url(../img/camiones_1.avif);
}

.webp .servicio-dedicado {
    background-image: linear-gradient(to bottom, transparent 50%, var(--primario) 0%),
        url(../img/camiones_1.webp);
}

@media (min-width: 992px) {

    .servicio-dedicado {
        background-position: right, 0 center;
    }

    .notavif.notwebp .servicio-dedicado {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%),
            url(../img/camiones_1.jpg);
    }

    .avif .servicio-dedicado {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%),
            url(../img/camiones_1.avif);
    }

    .webp .servicio-dedicado {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%),
            url(../img/camiones_1.webp);
    }
}

.servicio-grid {
    display: grid;
    grid-template-rows: repeat(2, 1fr);
    row-gap: var(--separacion);
}

@media (min-width: 992px) {
    .servicio-grid {
        grid-template-rows: unset;
        row-gap: unset;
        grid-template-columns: repeat(2, 1fr);
        column-gap: 4rem;
        padding: calc(var(--separacion) * 2) 0;
    }
}

.texto-servicio {
    grid-row: 2/3;
    color: var(--blanco);
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    padding-bottom: var(--separacion);
}

@media (min-width: 992px) {
    .texto-servicio {
        padding-bottom: 0;
    }
}

@media (min-width: 992px) {
    .txt-srv-ddc {
        grid-row: unset;
        grid-column: 2/3;
    }
}

.texto-servicio h2 {
    font-size: 4rem;
    line-height: 2;
}

.texto-servicio p {
    font-size: 2rem;
    line-height: 2;
}


/*  UNIDADES    */

.unidades-ddc {
    padding: var(--separacion) 0;
}

.header-unidades {
    font-size: 6rem;
    margin-bottom: var(--separacion);
}

.unidad {
    background-color: var(--grisClaro);
    margin-bottom: 2rem;
    padding-left: 4rem;
    color: var(--secundario);
    border-radius: 2rem;
    min-height: 20rem;
    background-repeat: no-repeat;
    background-position: 90% center;
    background-size: 10rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    transition-property: transform background-size;
    transition-duration: .3s;
}

@media (min-width: 468px) {
    .unidad {
        background-size: 15rem;
    }
}

.unidad:hover {
    transform: scale(1.1);
    background-size: 12rem;
}

@media (min-width: 468px) {
    .unidad:hover {
        background-size: 20rem;
    }
}

.unidad h3 {
    font-size: 3rem;
}

@media (max-width: 468px) {
    .trailer h3 {
        font-size: 2rem;
    }

    .toneladas h3 {
        font-size: 2.6rem;
    }
}

.plataforma {
    background-image: url(../img/plataforma.png);
}

.trailer {
    background-image: url(../img/trailer.png);
}

.torton {
    background-image: url(../img/torton.png);
}

.toneladas {
    background-image: url(../img/toneladas.png);
}

.van {
    background-image: url(../img/van.png);
}

@media (min-width: 992px) {
    .listado-unidades {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 4rem;
    }

    .unidad {
        margin-bottom: 0;
    }
}

/*  Servicio Dedicado   */


.notavif.notwebp .servicio-consolidado {
    background-image: linear-gradient(to bottom, transparent 50%, var(--primario) 0%),
        url(../img/contenedor.jpg);
}

.avif .servicio-consolidado {
    background-image: linear-gradient(to bottom, transparent 50%, var(--primario) 0%),
        url(../img/contenedor.avif);
}

.webp .servicio-consolidado {
    background-image: linear-gradient(to bottom, transparent 50%, var(--primario) 0%),
        url(../img/contenedor.webp);
}


@media (min-width: 992px) {
    .notavif.notwebp .servicio-consolidado {
        background-image: linear-gradient(to left, transparent 50%, var(--primario) 0%),
            url(../img/contenedor.jpg);
    }

    .avif .servicio-consolidado {
        background-image: linear-gradient(to left, transparent 50%, var(--primario) 0%),
            url(../img/contenedor.avif);
    }

    .webp .servicio-consolidado {
        background-image: linear-gradient(to left, transparent 50%, var(--primario) 0%),
            url(../img/contenedor.jpg);
    }
}

@media (min-width: 992px) {
    .servicio-consolidado .servicio-texto {
        line-height: 2;
    }
}

@media (min-width: 992px) {
    .servicio-consolidado .servicio-grid {
        padding: 0;
    }
}

@media (max-width: 440px) {
    .txt-srv-csd h2 {
        font-size: 3.5rem;
    }

    .txt-srv-csd p {
        font-size: 1.35rem;
    }
}

/*  servicio dedicado .caracteristicas*/

.srv-ddc-car {
    padding: var(--separacion) 0;
    color: var(--secundario);
    display: grid;
    gap: 3rem;
}

@media (min-width: 992px) {
    .srv-ddc-car {
        grid-template-columns: repeat(4, 1fr);
        gap: 3rem;
    }
}

.car-srv {
    text-align: center;
    background-color: var(--grisClaro);
    min-height: 25rem;
    border-radius: 2rem;
    transition-duration: .3s;
    padding: 1rem;
}

.car-srv:hover {
    transform: scale(1.1);
}

@media (min-width: 768px) {
    .car-srv {
        margin: 0;
    }
}

.car-srv img {
    width: 5rem;
    margin: 4rem auto;

}

.car-srv h3 {
    color: var(--primario);
    text-transform: uppercase;
}

/*  Contacto    */

.contactos {
    background-position: center, center 0;
    background-repeat: no-repeat;
    background-size: 100%, 45rem;
}


.notavif.notwebp .contactos {
    background-image: linear-gradient(to bottom, transparent 50%, var(--primario) 0%), url(../img/contacto_1.png);
}

.avif .contactos {
    background-image: linear-gradient(to bottom, transparent 50%, var(--primario) 0%), url(../img/contacto_1.avif);
}

.webp .contactos {
    background-image: linear-gradient(to bottom, transparent 50%, var(--primario) 0%), url(../img/contacto_1.webp);
}


@media (min-width: 468px) {

    .contactos {
        background-position: center, -24rem center;
        background-size: 100%, 70rem;
        padding: 10rem 0;
    }

    .notavif.notwebp .contactos {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%), url(../img/contacto_1.png);
    }

    .avif .contactos {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%), url(../img/contacto_1.avif);
    }

    .webp .contactos {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%), url(../img/contacto_1.webp);
    }
}

@media (min-width: 992px) {

    .contactos {
        background-position: center, -15rem -15rem;
        background-size: 100%, 100rem;
        padding: 10rem 0;
    }

    .notavif.notwebp .contactos {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%), url(../img/contacto_1.png);
    }

    .avif .contactos {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%), url(../img/contacto_1.avif);
    }

    .webp .contactos {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%), url(../img/contacto_1.webp);
    }
}


@media (min-width: 1800px) {

    .contactos {
        background-position: center, 0 -15rem;
        background-size: 100%, 100rem;
        padding: 10rem 0;
    }

    .notavif.notwebp .contactos {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%), url(../img/contacto_1.png);
    }

    .avif .contactos {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%), url(../img/contacto_1.avif);
    }

    .webp .contactos {
        background-image: linear-gradient(to right, transparent 50%, var(--primario) 0%), url(../img/contacto_1.webp);
    }
}

.contenido-contactos {
    display: grid;
    grid-template-rows: repeat(2, 30rem);
    gap: var(--separacion);
}

@media (min-width: 768px) {
    .contenido-contactos {
        grid-template-rows: unset;
        grid-template-columns: repeat(2, 1fr);
    }
}

.texto-contactos {
    grid-row: 2/3;
    color: var(--blanco);
    font-size: 2rem;
}

@media (min-width: 768px) {
    .texto-contactos {
        grid-row: unset;
        grid-column: 2/3;
    }
}

.texto-contactos span {
    font-weight: 900;
}

.contacto img{
    width: 7rem;
}

.contacto {
    display: flex;
    align-items: center;
}

.contacto a {
    text-decoration: none;
    color: var(--blanco);
    margin: 2rem;
    font-weight: 900;
}

@media (min-width: 992px) {
    .contacto a {
        font-size: 3rem;
    }
}

/*  footer  */

.footer p {
    text-align: center;
    font-family: var(--fuenteSecundaria);
    text-transform: uppercase;
    padding: 2rem 0;
    color: #091f2d;
}